"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadingPreview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classname_1 = require("../../../classname.js");
const action_previews_1 = require("../../../i18n/action-previews/index.js");
const ActionPreview_1 = require("./ActionPreview.js");
require("./ActionPreview.css");
const b = (0, classname_1.cn)('action-preview');
const HeadingPreview = ({ level }) => {
    const Heading = `h${level}`;
    return ((0, jsx_runtime_1.jsxs)(ActionPreview_1.ActionPreview, { children: [(0, jsx_runtime_1.jsx)(Heading, { children: (0, action_previews_1.i18n)('heading') }), (0, jsx_runtime_1.jsx)("p", { className: b('text-with-head'), children: (0, action_previews_1.i18n)('text-with-head') })] }));
};
exports.HeadingPreview = HeadingPreview;
//# sourceMappingURL=HeadingPreview.js.map
