"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformEmptyParagraph = void 0;
const transformEmptyParagraph = (node) => {
    if (node.type !== 'paragraph')
        return;
    if (node.content?.length !== 1)
        return;
    if (node.content[0]?.type !== 'text')
        return;
    if (node.content[0].text === String.fromCharCode(160))
        delete node.content;
};
exports.transformEmptyParagraph = transformEmptyParagraph;
//# sourceMappingURL=emptyRowTransformer.js.map
