"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hideMarkupGpt = exports.showMarkupGpt = exports.mGptToolbarItem = void 0;
exports.mGptExtension = mGptExtension;
const view_1 = require("@codemirror/view");
const constants_1 = require("../constants.js");
const commands_1 = require("./commands.js");
const plugin_1 = require("./plugin.js");
var toolbar_1 = require("./toolbar.js");
Object.defineProperty(exports, "mGptToolbarItem", { enumerable: true, get: function () { return toolbar_1.mGptToolbarItem; } });
var commands_2 = require("./commands.js");
Object.defineProperty(exports, "showMarkupGpt", { enumerable: true, get: function () { return commands_2.showMarkupGpt; } });
Object.defineProperty(exports, "hideMarkupGpt", { enumerable: true, get: function () { return commands_2.hideMarkupGpt; } });
function mGptExtension(props) {
    return [
        (0, plugin_1.mGptPlugin)(props).extension,
        view_1.keymap.of([
            {
                key: constants_1.gptHotKeys.openGptKey,
                run: commands_1.runMarkupGpt,
            },
        ]),
    ];
}
//# sourceMappingURL=index.js.map
