import type { PluginOptions } from '@diplodoc/html-extension';
import type { IHTMLIFrameElementConfig } from '@diplodoc/html-extension/runtime';
import type { Action, ExtensionAuto } from "../../../core/index.js";
import { YfmHtmlBlockAction } from "./YfmHtmlBlockSpecs/const.js";
export interface YfmHtmlBlockOptions extends Omit<PluginOptions, 'runtimeJsPath' | 'containerClasses' | 'bundle' | 'embeddingMode'> {
    useConfig?: () => IHTMLIFrameElementConfig | undefined;
}
export declare const YfmHtmlBlock: ExtensionAuto<YfmHtmlBlockOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [YfmHtmlBlockAction]: Action;
        }
    }
}
