import type { ExtensionAuto } from "../../../../core/index.js";
export declare enum BreakNodeName {
    HardBreak = "hard_break",
    SoftBreak = "soft_break"
}
export declare const hbType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const sbType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export type BreaksSpecsOptions = {
    /**
     * @default 'hard'
     */
    preferredBreak?: 'hard' | 'soft';
};
export declare const BreaksSpecs: ExtensionAuto<BreaksSpecsOptions>;
