import type { Node, Schema } from 'prosemirror-model';
import type { EditorState } from 'prosemirror-state';
import { type ListNode } from "./ListsSpecs/index.js";
export { liType, blType, olType } from "./ListsSpecs/index.js";
export declare const findAnyParentList: (schema: Schema) => any;
export declare const isIntoListOfType: (nodeName: ListNode) => (state: EditorState) => boolean;
export declare const isListNode: ({ type }: Node) => boolean;
export declare const isListItemNode: (node: Node) => boolean;
export declare const isListOrItemNode: (node: Node) => boolean;
