import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from "../../../../core/index.js";
export { NoteNode as YfmNoteNode } from "./const.js";
export { noteType, noteTitleType } from "./utils.js";
export type YfmNoteSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmNoteTitlePlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const YfmNoteSpecs: ExtensionAuto<YfmNoteSpecsOptions>;
