import type { NodeSpec } from 'prosemirror-model';
import type { PlaceholderOptions } from "../../../../utils/placeholder.js";
import { TabsNode } from "./const.js";
export type YfmTabsSchemaOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    tabPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const getSchemaSpecs: (opts: YfmTabsSchemaOptions, placeholder?: PlaceholderOptions) => Record<TabsNode, NodeSpec>;
