"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlInputRow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const icons_1 = require("@gravity-ui/icons");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../classname.js");
const forms_1 = require("../i18n/forms/index.js");
require("./UrlInputRow.css");
const b = (0, classname_1.cn)('url-input-row');
exports.UrlInputRow = (0, react_1.memo)(function UrlInputRow({ href, input }) {
    return ((0, jsx_runtime_1.jsxs)("div", { className: b(), children: [input, (0, jsx_runtime_1.jsx)(uikit_1.ActionTooltip, { title: (0, forms_1.i18n)('link_open_help'), children: (0, jsx_runtime_1.jsx)(uikit_1.Button, { className: b('button'), view: "flat", size: "s", href: href, target: "_blank", children: (0, jsx_runtime_1.jsx)(uikit_1.Icon, { data: icons_1.ArrowUpRightFromSquare, size: 16 }) }) })] }));
});
//# sourceMappingURL=UrlInputRow.js.map
