"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmStaticView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const classnames_1 = require("@bem-react/classnames");
exports.YfmStaticView = (0, react_1.forwardRef)(function YFMStaticView(props, ref) {
    const { html, linksVisited, noListReset, className, qa } = props;
    return ((0, jsx_runtime_1.jsx)("div", { ref: ref, dangerouslySetInnerHTML: { __html: html }, className: (0, classnames_1.classnames)('yfm', linksVisited ? 'yfm_links-visited' : undefined, noListReset ? 'yfm_no-list-reset' : undefined, className), "data-qa": qa }));
});
//# sourceMappingURL=YfmStaticView.js.map
