import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn } from "../../../classname.js";
import { i18n } from "../../../i18n/action-previews/index.js";
import { ActionPreview } from "./ActionPreview.js";
import "./ActionPreview.css";
const b = cn('action-preview');
export const HeadingPreview = ({ level }) => {
    const Heading = `h${level}`;
    return (_jsxs(ActionPreview, { children: [_jsx(Heading, { children: i18n('heading') }), _jsx("p", { className: b('text-with-head'), children: i18n('text-with-head') })] }));
};
//# sourceMappingURL=HeadingPreview.js.map
