import type { ToolbarBaseProps } from "../../../toolbar/index.js";
import { type ToolbarButtonWithPopupMenuProps } from "../ToolbarButtonWithPopupMenu.js";
import "./ToolbarColors.css";
export type ToolbarColorsProps = Omit<ToolbarBaseProps<never>, 'editor'> & Pick<ToolbarButtonWithPopupMenuProps, 'disablePortal'> & {
    active?: boolean;
    enable?: boolean;
    currentColor?: string;
    withDefault?: boolean;
    exec(color: string): void;
};
export declare const ToolbarColors: React.FC<ToolbarColorsProps>;
