import { jsx as _jsx } from "react/jsx-runtime";
import { ToolbarColors } from "../custom/ToolbarColors.js";
export const WToolbarColors = ({ disablePortal, className, editor, focus, onClick, }) => {
    const action = editor.actions.colorify;
    const currentColor = action.meta();
    return (_jsx(ToolbarColors, { active: action.isActive(), enable: action.isEnable(), currentColor: currentColor, exec: (color) => {
            action.run({ color: color === currentColor ? '' : color });
        }, disablePortal: disablePortal, className: className, focus: focus, onClick: onClick, withDefault: true }));
};
//# sourceMappingURL=WToolbarColors.js.map
