import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Skeleton } from '@gravity-ui/uikit';
import { cn } from "../../../../../classname.js";
import { i18n } from "../../../../../i18n/gpt/loading/index.js";
import GPTLoading from "../../../../../icons/GPTLoading.js";
import { IconRefuge } from "../../IconRefuge/IconRefuge.js";
import "./LoadingScreen.css";
export const cnGptDialogLoadingScreen = cn('gpt-dialog-loading-screen');
export const LoadingScreen = () => {
    return (_jsxs("div", { className: cnGptDialogLoadingScreen(), children: [_jsxs("div", { className: cnGptDialogLoadingScreen('header'), children: [_jsx(IconRefuge, { containerClassName: cnGptDialogLoadingScreen('icon'), data: GPTLoading, refugeSize: 28, size: 20 }), _jsx("span", { className: cnGptDialogLoadingScreen('text'), children: i18n('loading-text') })] }), _jsxs("div", { className: cnGptDialogLoadingScreen('skeleton'), children: [_jsx(Skeleton, { className: cnGptDialogLoadingScreen('skeleton-small-button') }), _jsx(Skeleton, { className: cnGptDialogLoadingScreen('skeleton-medium-button') })] })] }));
};
//# sourceMappingURL=LoadingScreen.js.map
