import { ToolbarDataType } from "../../../../bundle/toolbar/types.js";
import { i18n } from "../../../../i18n/gpt/extension/index.js";
import { GPTIcon } from "../../../../icons/index.js";
import { gptHotKeys } from "../constants.js";
import { showMarkupGpt } from "./commands.js";
export const mGptToolbarItem = {
    id: 'gpt',
    type: ToolbarDataType.SingleButton,
    hotkey: gptHotKeys.openGptKeyTooltip,
    title: () => `${i18n('help-with-text')}`,
    icon: { data: GPTIcon },
    exec: (e) => showMarkupGpt(e.cm),
    isActive: () => false,
    isEnable: () => true,
};
//# sourceMappingURL=toolbar.js.map
