import type { RefObject } from 'react';
export type UseOverflowingContainerListItemsProps<ItemType extends unknown> = {
    containerRef: RefObject<HTMLElement>;
    items?: ItemType[];
    itemSelector: string;
    moreButtonSelector: string;
    marginBetweenItems?: number;
};
export declare function useOverflowingHorizontalItems<ItemType>({ containerRef, items, itemSelector, moreButtonSelector, marginBetweenItems, }: UseOverflowingContainerListItemsProps<ItemType>): {
    visibleItems: ItemType[];
    hiddenItems: ItemType[];
    measured: boolean;
};
