import { Plugin } from 'prosemirror-state';
import "./index.css";
const CLASSNAME = 'g-md-editor';
export const BaseStyles = (builder, opts) => {
    const { attributes = {} } = opts;
    builder.addPlugin(() => new Plugin({
        props: {
            attributes: {
                ...attributes,
                class: [CLASSNAME, attributes.class].filter(Boolean).join(' '),
            },
        },
    }));
};
//# sourceMappingURL=index.js.map
