import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from "../../../../core/index.js";
export { DeflistNode } from "./const.js";
export declare const defListType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const defTermType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const defDescType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export type DeflistSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    deflistTermPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    deflistDescPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const DeflistSpecs: ExtensionAuto<DeflistSpecsOptions>;
