import type { Transaction } from 'prosemirror-state';
import type { EditorView } from 'prosemirror-view';
import type { ExtensionDeps } from "../../../../core/index.js";
import { ReactWidgetDescriptor } from "../../../behavior/WidgetDecoration/ReactWidgetDescriptor.js";
import { type LinkPlaceholderWidgetProps } from "./widget.js";
export declare const addPlaceholder: (tr: Transaction, deps: ExtensionDeps) => Transaction;
export declare class LinkWidgetDescriptor extends ReactWidgetDescriptor {
    #private;
    private normalizeUrl;
    constructor(initPos: number, deps: ExtensionDeps);
    getDomElem(): HTMLElement;
    renderReactElement(view: EditorView, getPos: () => number): React.ReactElement;
    onCancel: LinkPlaceholderWidgetProps['onCancel'];
    onSubmit: LinkPlaceholderWidgetProps['onSubmit'];
}
