import { cn } from "../../../../classname.js";
import { nodeTypeFactory } from "../../../../utils/schema.js";
export var CheckboxNode;
(function (CheckboxNode) {
    CheckboxNode["Checkbox"] = "checkbox";
    CheckboxNode["Input"] = "checkbox_input";
    CheckboxNode["Label"] = "checkbox_label";
})(CheckboxNode || (CheckboxNode = {}));
export const CheckboxAttr = {
    Class: 'class',
    Type: 'type',
    Id: 'id',
    Checked: 'checked',
    For: 'for',
};
export const idPrefix = 'yfm-editor-checkbox';
export const b = cn('checkbox');
export const checkboxType = nodeTypeFactory(CheckboxNode.Checkbox);
export const checkboxLabelType = nodeTypeFactory(CheckboxNode.Label);
export const checkboxInputType = nodeTypeFactory(CheckboxNode.Input);
//# sourceMappingURL=const.js.map
