import { addImageWidget } from "./actions.js";
const addImageWidgetAction = 'addImageWidget';
export const ImageWidget = (builder, opts) => {
    builder.addAction(addImageWidgetAction, (deps) => addImageWidget(deps, {
        uploadImages: opts.imageUploadHandler,
        renderImageForm: opts.renderImageWidgetForm,
        needToSetDimensionsForUploadedImages: opts.needToSetDimensionsForUploadedImages,
        enableNewImageSizeCalculation: opts.enableNewImageSizeCalculation,
    }));
};
//# sourceMappingURL=index.js.map
