import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Skeleton } from '@gravity-ui/uikit';
import { cn } from "../../../../classname.js";
import { ReactWidgetDescriptor } from "../../../behavior/WidgetDecoration/index.js";
import "./skeleton.css";
const b = cn('file-skeleton');
export class FileSkeletonDescriptor extends ReactWidgetDescriptor {
    #domElem;
    constructor(initPos) {
        super(initPos, 'yfm_file_skeleton');
        this.#domElem = document.createElement('span');
        this.#domElem.classList.add(b(), 'yfm-file');
    }
    getDomElem() {
        return this.#domElem;
    }
    renderReactElement() {
        return (_jsxs(_Fragment, { children: [_jsx("span", { className: "yfm-file__icon" }), _jsx(Skeleton, { className: b('skeleton') })] }));
    }
}
//# sourceMappingURL=skeleton.js.map
