import { type TextInputProps } from '@gravity-ui/uikit';
type BaseNumberInputProps = {
    value?: number;
    onUpdate: (value?: number) => void;
    min?: number;
    max?: number;
};
export type NumberInputProps = Omit<TextInputProps, keyof BaseNumberInputProps | 'type' | 'controlProps'> & BaseNumberInputProps;
export declare const NumberInput: React.FC<NumberInputProps>;
export {};
