import type { NodeType } from 'prosemirror-model';
import type { EditorView } from 'prosemirror-view';
import { type BaseTooltipNode, type BaseTooltipPluginOptions, BaseTooltipPluginView, type TooltipOnChangeCallback } from "../BaseTooltip/index.js";
/** @deprecated */
type ButtonContent = (view: EditorView, node: BaseTooltipNode, toggleEdit: () => void) => React.ReactElement;
/** @deprecated */
type FormContent = (view: EditorView, node: BaseTooltipNode, onChange?: TooltipOnChangeCallback) => React.ReactElement;
/** @deprecated */
interface TooltipMenuOptions extends BaseTooltipPluginOptions {
    disableHideOnBlur?: boolean;
    buttonContent: ButtonContent;
    formContent: FormContent;
}
/** @deprecated */
export declare class TooltipButtonPluginView extends BaseTooltipPluginView {
    private enableHideOnBlur?;
    private forceEdit;
    private buttonContent;
    private formContent;
    constructor(view: EditorView, options: TooltipMenuOptions);
    toggleEdit: () => void;
    destroy(): void;
    protected renderContent(currentNode: BaseTooltipNode): React.ReactNode;
    protected setCurrentNode(node: NodeType): void;
    protected updateTooltipView(): void;
    private onViewFocus;
}
export {};
