import type { ToolbarData, ToolbarItemData } from "./types.js";
export type ShrinkToolbarDataParams<E> = {
    data: ToolbarData<E>;
    availableWidth: number;
    hiddenActions?: ToolbarItemData<E>[];
};
export declare function shrinkToolbarData<E>({ availableWidth, data, hiddenActions, }: ShrinkToolbarDataParams<E>): {
    data: ToolbarData<E>;
    dots?: ToolbarItemData<E>[];
};
