import { InputRule } from 'prosemirror-inputrules';
import { Fragment, type MarkType, type Node } from 'prosemirror-model';
import { type EditorState } from 'prosemirror-state';
export declare function hasCodeMark(state: EditorState, _match: RegExpMatchArray, start: number, end: number): boolean;
export { textblockTypeInputRule, wrappingInputRule } from "./rulebuilders.js";
export declare function markInputRule(rule: RegExp | {
    open: string;
    close: string;
    ignoreBetween?: string;
}, markType: MarkType, getAttrs?: (match: any) => Record<string, unknown>): InputRule;
type NodeInputRuleReplaceFragment = Node | Fragment | readonly Node[] | null | undefined;
export declare function nodeInputRule(regexp: RegExp, fragment: NodeInputRuleReplaceFragment | ((match: string) => NodeInputRuleReplaceFragment), selectionOffset?: number): InputRule;
export declare function inlineNodeInputRule(regexp: RegExp, fragment: (match: string) => NodeInputRuleReplaceFragment): InputRule;
