import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { classnames } from '@bem-react/classnames';
export const YfmStaticView = forwardRef(function YFMStaticView(props, ref) {
    const { html, linksVisited, noListReset, className, qa } = props;
    return (_jsx("div", { ref: ref, dangerouslySetInnerHTML: { __html: html }, className: classnames('yfm', linksVisited ? 'yfm_links-visited' : undefined, noListReset ? 'yfm_no-list-reset' : undefined, className), "data-qa": qa }));
});
//# sourceMappingURL=YfmStaticView.js.map
