"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseStyles = void 0;
const prosemirror_state_1 = require("prosemirror-state");
require("./index.css");
const CLASSNAME = 'g-md-editor';
const BaseStyles = (builder, opts) => {
    const { attributes = {} } = opts;
    builder.addPlugin(() => new prosemirror_state_1.Plugin({
        props: {
            attributes: {
                ...attributes,
                class: [CLASSNAME, attributes.class].filter(Boolean).join(' '),
            },
        },
    }));
};
exports.BaseStyles = BaseStyles;
//# sourceMappingURL=index.js.map
