"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Clipboard = exports.clipboardUtils = void 0;
const tslib_1 = require("tslib");
const clipboard_1 = require("./clipboard.js");
const clipboardUtils = tslib_1.__importStar(require("./utils.js"));
exports.clipboardUtils = clipboardUtils;
const Clipboard = (builder, opts) => {
    builder.addPlugin((deps) => (0, clipboard_1.clipboard)({
        logger: builder.logger.nested({
            module: 'clipboard',
            plugin: 'clipboard',
        }),
        mdParser: deps.markupParser,
        textParser: deps.textParser,
        serializer: deps.serializer,
        pasteFileHandler: opts.pasteFileHandler,
    }), builder.Priority.VeryLow);
};
exports.Clipboard = Clipboard;
//# sourceMappingURL=index.js.map
