import type { AutocompletePopupProps } from "../../../utils/autocomplete-popup.js";
import type { CommandAction } from "./types.js";
import "./component.css";
export type CommandMenuItem = Pick<CommandAction, 'id' | 'title' | 'icon' | 'hotkey' | 'hint' | 'preview'>;
export type CommandMenuComponentProps = AutocompletePopupProps & {
    currentIndex?: number;
    items: readonly CommandMenuItem[];
    onItemClick(itemIndex: number): void;
};
export declare const CommandMenuComponent: React.FC<CommandMenuComponentProps>;
export declare function render(props: CommandMenuComponentProps): React.ReactNode;
