import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type LinkActionMeta, type LinkActionParams } from "./actions/linkActions.js";
export type { LinkActionParams, LinkActionMeta } from "./actions/linkActions.js";
export { linkCommand } from "./actions/linkActions.js";
export { normalizeUrlFactory } from "./utils.js";
export { removeLink } from "./commands.js";
export { LinkAttr, linkMarkName, linkType } from "./LinkSpecs/index.js";
declare const linkAction = "link";
declare const linkAction2 = "addLink";
export type LinkOptions = {
    linkKey?: string | null;
};
export declare const Link: ExtensionAuto<LinkOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [linkAction]: Action<LinkActionParams, LinkActionMeta>;
            [linkAction2]: Action;
        }
    }
}
