import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type CheckboxSpecsOptions } from "./CheckboxSpecs/index.js";
import "./index.css";
declare const checkboxAction = "addCheckbox";
export { CheckboxAttr, CheckboxNode, checkboxType, checkboxLabelType, checkboxInputType, } from "./CheckboxSpecs/index.js";
export type CheckboxOptions = Pick<CheckboxSpecsOptions, 'checkboxLabelPlaceholder'> & {};
export declare const Checkbox: ExtensionAuto<CheckboxOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [checkboxAction]: Action;
        }
    }
}
