import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type Colors, colorAction, colorMarkName } from "./const.js";
import "./colors.css";
export { colorClassName, Colors } from "./const.js";
export { colorMarkName, colorType } from "./ColorSpecs/index.js";
export type ColorActionParams = {
    [colorMarkName]: string;
};
export declare const Color: ExtensionAuto;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [colorAction]: Action<ColorActionParams, Colors>;
        }
    }
}
