import type { ExtensionAuto, ExtensionNodeSpec } from "../../../../core/index.js";
import { type YfmCutSchemaOptions } from "./schema.js";
export { CutAttr, CutNode, cutType, cutTitleType, cutContentType } from "./const.js";
declare global {
    namespace MarkdownEditor {
        interface DirectiveSyntaxAdditionalSupportedExtensions {
            yfmCut: true;
        }
    }
}
export type YfmCutSpecsOptions = YfmCutSchemaOptions & {
    cutView?: ExtensionNodeSpec['view'];
    cutTitleView?: ExtensionNodeSpec['view'];
    cutContentView?: ExtensionNodeSpec['view'];
};
export declare const YfmCutSpecs: ExtensionAuto<YfmCutSpecsOptions>;
