"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileSkeletonDescriptor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../../classname.js");
const WidgetDecoration_1 = require("../../../behavior/WidgetDecoration/index.js");
require("./skeleton.css");
const b = (0, classname_1.cn)('file-skeleton');
class FileSkeletonDescriptor extends WidgetDecoration_1.ReactWidgetDescriptor {
    #domElem;
    constructor(initPos) {
        super(initPos, 'yfm_file_skeleton');
        this.#domElem = document.createElement('span');
        this.#domElem.classList.add(b(), 'yfm-file');
    }
    getDomElem() {
        return this.#domElem;
    }
    renderReactElement() {
        return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { className: "yfm-file__icon" }), (0, jsx_runtime_1.jsx)(uikit_1.Skeleton, { className: b('skeleton') })] }));
    }
}
exports.FileSkeletonDescriptor = FileSkeletonDescriptor;
//# sourceMappingURL=skeleton.js.map
