import type { Action, ExtensionAuto } from "../../../core/index.js";
import { type YfmNoteSpecsOptions } from "./YfmNoteSpecs/index.js";
import "./index.css";
declare const noteAction = "toYfmNote";
export { YfmNoteNode, noteType, noteTitleType } from "./YfmNoteSpecs/index.js";
export type YfmNoteOptions = YfmNoteSpecsOptions & {
    yfmNoteKey?: string | null;
};
export declare const YfmNote: ExtensionAuto<YfmNoteOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [noteAction]: Action;
        }
    }
}
