"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parserTokens = void 0;
const const_1 = require("./const.js");
exports.parserTokens = {
    [const_1.YfmTableNode.Table]: { name: const_1.YfmTableNode.Table, type: 'block' },
    [const_1.YfmTableNode.Body]: { name: const_1.YfmTableNode.Body, type: 'block' },
    [const_1.YfmTableNode.Row]: { name: const_1.YfmTableNode.Row, type: 'block' },
    [const_1.YfmTableNode.Cell]: {
        name: const_1.YfmTableNode.Cell,
        type: 'block',
        getAttrs: (token) => {
            const attrs = Object.fromEntries(token.attrs || []);
            const align = token.attrGet('class')?.match(/cell-align-[a-z-]*/)?.[0];
            if (align)
                attrs[const_1.YfmTableAttr.CellAlign] = align;
            return attrs;
        },
    },
};
//# sourceMappingURL=parser.js.map
