import type { ExtensionAuto, ExtensionNodeSpec } from "../../../../core/index.js";
import { type YfmTabsSchemaOptions } from "./schema.js";
export { TabsNode } from "./const.js";
export declare const tabPanelType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const tabType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const tabsType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export declare const tabsListType: (schema: import("prosemirror-model").Schema) => import("prosemirror-model").NodeType;
export type YfmTabsSpecsOptions = YfmTabsSchemaOptions & {
    tabView?: ExtensionNodeSpec['view'];
    tabsListView?: ExtensionNodeSpec['view'];
    tabPanelView?: ExtensionNodeSpec['view'];
    tabsView?: ExtensionNodeSpec['view'];
    vtabView?: ExtensionNodeSpec['view'];
    vtabInputView?: ExtensionNodeSpec['view'];
};
export declare const YfmTabsSpecs: ExtensionAuto<YfmTabsSpecsOptions>;
