"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormFooter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../classname.js");
const forms_1 = require("../../i18n/forms/index.js");
require("./FormFooter.css");
const b = (0, classname_1.cn)('form-footer');
const FormFooter = ({ className, onCancel, onSubmit, children, }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: b(null, [className]), children: [onCancel && ((0, jsx_runtime_1.jsx)(uikit_1.Button, { size: "s", view: "flat-secondary", onClick: onCancel, children: (0, forms_1.i18n)('common_action_cancel') })), onSubmit && ((0, jsx_runtime_1.jsx)(uikit_1.Button, { size: "s", view: "action", onClick: onSubmit, children: (0, forms_1.i18n)('common_action_submit') })), children] }));
};
exports.FormFooter = FormFooter;
//# sourceMappingURL=FormFooter.js.map
