import { type ImageFormProps } from "../../../forms/ImageForm.js";
import type { ToolbarBaseProps } from "../../../toolbar/index.js";
import { type BatchUploadResult, type FileUploadHandler } from "../../../utils/upload.js";
export type ToolbarImagePopuProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    uploadImages?: FileUploadHandler;
    onSuccessUpload?: (res: BatchUploadResult) => void;
    hide: () => void;
    anchorElement: HTMLElement | null;
} & Pick<ImageFormProps, 'onSubmit'>;
export declare const ToolbarImagePopup: React.FC<ToolbarImagePopuProps>;
