import type { Action, ExtensionAuto } from "../../../core/index.js";
import "./code.css";
export { codeMarkName, codeType } from "./CodeSpecs/index.js";
declare const codeAction = "code";
export type CodeOptions = {
    codeKey?: string | null;
};
export declare const Code: ExtensionAuto<CodeOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [codeAction]: Action;
        }
    }
}
