import type { ParseInsertedUrlAsImage } from "../../../../bundle/index.js";
import type { ExtensionAuto } from "../../../../core/index.js";
export type ImageUrlPasteOptions = {
    /**
     * The function, used to determine if the pasted text is the image url and should be inserted as an image
     */
    parseInsertedUrlAsImage?: ParseInsertedUrlAsImage;
};
export declare const imageUrlPaste: ExtensionAuto<ImageUrlPasteOptions>;
