import { toggleMark } from 'prosemirror-commands';
import { isMarkActive } from "../../../utils/marks.js";
import { linkType } from "./LinkSpecs/index.js";
export const removeLink = (state, dispatch) => {
    const linkMarkType = linkType(state.schema);
    if (isMarkActive(state, linkMarkType))
        return toggleMark(linkMarkType)(state, dispatch);
    return false;
};
//# sourceMappingURL=commands.js.map
