import type { Action, ExtensionAuto } from "../../../core/index.js";
import * as TableActions from "./actions/tableActions.js";
import * as TableHelpers from "./helpers.js";
export { TableHelpers, TableActions };
export { TableNode, TableAttrs, CellAlign as TableCellAlign } from "./const.js";
export declare const Table: ExtensionAuto;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            createTable: Action;
            deleteTable: Action;
        }
    }
}
