import { type ClassNameProps } from "../classname.js";
export type FileFormSubmitParams = {
    src: string;
    name: string;
};
export type FileFormProps = ClassNameProps & {
    autoFocus?: boolean;
    onSubmit(params: FileFormSubmitParams): void;
    onCancel(): void;
    onAttach?: (files: File[]) => void;
    loading?: boolean;
};
export declare const FileForm: React.FC<FileFormProps>;
