import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Button, useFileInput } from '@gravity-ui/uikit';
export const ButtonAttach = ({ onUpdate, onChange, multiple, buttonProps, accept, children, }) => {
    const { controlProps, triggerProps } = useFileInput({ onUpdate, onChange });
    return (_jsxs(_Fragment, { children: [_jsx("input", { type: "file", multiple: multiple, accept: accept, ...controlProps }), _jsx(Button, { ...buttonProps, ...triggerProps, children: children })] }));
};
//# sourceMappingURL=ButtonAttach.js.map
