import { mdAutocomplete } from "../yfm.js";
import { emptyRowAutocomplete } from "./emptyRow.js";
export const getAutocompleteConfig = ({ preserveEmptyRows }) => {
    const autocompleteItems = [];
    if (preserveEmptyRows) {
        autocompleteItems.push(emptyRowAutocomplete);
    }
    autocompleteItems.push(mdAutocomplete);
    return autocompleteItems;
};
//# sourceMappingURL=index.js.map
