import type { ToolbarBaseProps, ToolbarItemData } from "./types.js";
import "./ToolbarButton.css";
export type ToolbarButtonProps<E> = ToolbarBaseProps<E> & ToolbarItemData<E>;
export type ToolbarButtonViewProps = Pick<ToolbarItemData<unknown>, 'icon' | 'title' | 'hint' | 'hotkey' | 'hintWhenDisabled'> & {
    active: boolean;
    enabled: boolean;
    onClick: () => void;
    className?: string;
};
export declare const ToolbarButtonView: import("react").ForwardRefExoticComponent<Pick<ToolbarItemData<unknown>, "title" | "icon" | "hint" | "hotkey" | "hintWhenDisabled"> & {
    active: boolean;
    enabled: boolean;
    onClick: () => void;
    className?: string;
} & import("react").RefAttributes<HTMLButtonElement>>;
export declare function ToolbarButton<E>(props: ToolbarButtonProps<E>): JSX.Element;
